Version:        0.29.0.gfm.13
Name:           cmark-gfm
Release:        1%{?dist}
Summary:        GitHub's fork of cmark

License:        MIT and BSD-2.0-clause
URL:            https://www.github.com/github/cmark-gfm
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++

%description
An extended version of the C reference implementation of CommonMark,
a rationalized version of Markdown syntax with a spec.

%package devel
Summary:        GitHub's fork of cmark
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for cmark-gfm

%prep
%autosetup -n %{name}-%{version}

%build
%cmake -DCMARK_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
make test


%files
%doc README.md
%doc benchmarks.md
%license COPYING
%{_bindir}/cmark-gfm
%{_mandir}/man1/cmark-gfm.1*
%{_mandir}/man3/cmark-gfm.3*
%{_libdir}/libcmark-gfm.so.0*
%{_libdir}/libcmark-gfm-extensions.so.0*

%files devel
%{_includedir}/cmark-gfm-core-extensions.h
%{_includedir}/cmark-gfm_export.h
%{_includedir}/cmark-gfm-extension_api.h
%{_includedir}/cmark-gfm.h
%{_includedir}/cmark-gfm_version.h
%{_libdir}/cmake/cmark-gfm.cmake
%{_libdir}/cmake/cmark-gfm-release.cmake
%dir %{_libdir}/cmake-gfm-extensions
%{_libdir}/cmake-gfm-extensions/cmark-gfm-extensions.cmake
%{_libdir}/cmake-gfm-extensions/cmark-gfm-extensions-release.cmake
%{_libdir}/pkgconfig/libcmark-gfm.pc
%{_libdir}/libcmark-gfm.so
%{_libdir}/libcmark-gfm-extensions.so


%changelog
* Sun Jul 30 2023 Benson Muite <benson_muite@emailplus.org> - 0.4.8-1
- Initial packaging
